MCP Tools Reference: pubsub.googleapis.com

Tool: delete_snapshot

Delete an existing Cloud Pub/Sub snapshot.

Parameters

  • snapshot: The name of the snapshot to delete in the format projects/{project_id}/snapshots/{name}.

Returns

  • google.protobuf.Empty if the snapshot exists.

  • A NOT_FOUND error if the snapshot does not exist.

Important Notes

  • A snapshot is a named resource that captures the acknowledgment state of messages in an existing subscription to allow for managing acknowledgments in bulk.

  • A project ID and snapshot name must be provided.

  • When the snapshot is deleted, all messages retained in the snapshot are immediately dropped.

The following sample demonstrate how to use curl to invoke the delete_snapshot MCP tool.

Curl Request
                  
curl --location 'https://pubsub.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_snapshot",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for the DeleteSnapshot method.

DeleteSnapshotRequest

JSON representation
{
  "snapshot": string
}
Fields
snapshot

string

Required. The name of the snapshot to delete. Format is projects/{project}/snapshots/{snap}.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ✅